1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Mortal kombat 9 requires update ixtreme question

Discussion in 'Xbox 360 - Modding & Hacking' started by iifuzz, May 22, 2011.

  1. iifuzz

    iifuzz Member

    Joined:
    May 22, 2011
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    11
    I had my xbox flashed long time ago. i think running ixtreme 1.4... i had to use an activation cd to play most games. anyways, i downloaded mortal kombat and used waves patcher to patch it to wave 3 and it still asks for update. is it safe to update or will it kill my ixtreme? i dont care about my live account

    its possible its higher then 1.4, i dont remember... whatever version requires the activation disk
     
    Last edited: May 22, 2011
  2. eebeejay

    eebeejay Regular member

    Joined:
    Nov 7, 2007
    Messages:
    2,767
    Likes Received:
    0
    Trophy Points:
    46
    If you update, then you're screwed using that old firmware. You need to update to iXtreme LT+ in order to "FINISH HIM!!!"
     
  3. iifuzz

    iifuzz Member

    Joined:
    May 22, 2011
    Messages:
    2
    Likes Received:
    0
    Trophy Points:
    11
    i just updated and playing without upgrading to LT+!
     
  4. terpsfan

    terpsfan Member

    Joined:
    Nov 16, 2010
    Messages:
    31
    Likes Received:
    0
    Trophy Points:
    16
    ifuzz, can you play your old games too?
     
  5. b1gh3ad

    b1gh3ad Regular member

    Joined:
    Nov 7, 2010
    Messages:
    980
    Likes Received:
    0
    Trophy Points:
    26
    just update it so that you wont come back with another thread saying "Why wont my AP2.5 games work on my console"
     

Share This Page